Skip to main content
`Ctrl`+`K`

# DMAdaptorRegisterDestroy

This function destroys the registered `DMAdaptorType`. It is called from `PetscFinalize()`.

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorRegisterDestroy(void)

Not collective

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMAdaptorRegisterAll()`, `DMAdaptorType`, `PetscFinalize()`

## Level

developer

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages